#content {
    height: 50%;
}

/** Dashboard Page */

#gen-btn, #check-btn {
    background-color: #A62E44;
    position: absolute;
    width: 50%;
    height: 15%;
    top: 20%;
    left: 25%;
    border-radius: 50px;
    box-shadow: 0 2px 22px 0 rgba(0, 0, 0, .2), 0 2px 30px 0 rgba(0, 0, 0, .35);
    text-align: center;
    cursor: pointer;
    transition: opacity 0.3s;
}

#check-btn {
    top: 50%;
}

#gen-btn span, #check-btn span {
    color: #FFFFFF;
    font-size: 30px;
    position: absolute;
    width: 100%;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
}

#gen-btn:hover, #check-btn:hover {
    opacity: 0.5;
}

#footer {
    position: relative;
    height: 10%;
    top: 90%;
}

#set-btn, #log-btn, #out-btn {
    position: absolute;
    float: left;
    height: 30%;
    width: 4%;
    top: 35%;
    cursor: pointer;
    transition: opacity 0.3s;
}

#set-btn {
    background: url("../img/settings-icon.png") no-repeat;
    background-size: 100% 100%;
    left: 28%;
}

#log-btn {
    background: url("../img/logs-icon.png") no-repeat;
    background-size: 100% 100%;
    left: 48%;
}

#out-btn {
    background: url("../img/logout-icon.png") no-repeat;
    background-size: 100% 100%;
    left: 68%;
}

#set-btn:hover, #log-btn:hover, #out-btn:hover {
    opacity: 0.5;
}

/** Generate Page */

form[name="voucher"] {
    position: absolute;
    height: 80%;
    width: 80%;
    top: 10%;
    left: 20%;
}

.template {
    font-family: Roboto;
    width: 100%;
    height: 20%;
    margin-bottom: 5%;
    padding-left: 5%;
    border: none;
    border-bottom: 2px solid #A62E44;
    outline: none;
    font-size: 20px;
    color: #A62E44;
    cursor: pointer;
}

.gen-in {
    font-family: Roboto;
    width: 100%;
    height: 20%;
    margin-bottom: 5%;
    padding-left: 5%;
    border: none;
    border-bottom: 2px solid #A62E44;
    outline: none;
    font-size: 20px;
    color: #A62E44;
}

.gen-in:focus {
    border-bottom: 2px solid #593A2E;
}

.generate-btn {
    background-color: #593A2E;
    position: absolute;
    width: 40%;
    height: 20%;
    top: 90%;
    left: 0;
    border: none;
    border-radius: 30px;
    box-shadow: 0 2px 22px 0 rgba(0, 0, 0, .2), 0 2px 30px 0 rgba(0, 0, 0, .35);
    color: #ffffff;
    cursor: pointer;
    transition: background-color 0.3s;
    font-size: 25px;
}

.generate-btn:hover {
    background-color: #FFFFFF;
    border: 1px solid #593A2E;
    color: #593A2E;
}

#return-btn {
    background-color: #A62E44;
    position: absolute;
    width: 20%;
    height: 15%;
    top: 83%;
    left: 70%;
    border-radius: 30px;
    box-shadow: 0 2px 22px 0 rgba(0, 0, 0, .2), 0 2px 30px 0 rgba(0, 0, 0, .35);
    color: #ffffff;
    cursor: pointer;
    transition: background-color 0.3s;
    font-size: 25px;
}

#return-btn i {
    position: absolute;
    text-align: center;
    top: 50%;
    transform: translateY(-50%);
    left: 40%;
}

#return-btn:hover {
    background-color: #FFFFFF;
    border: 1px solid #A62E44;
    color: #A62E44;
}

/** Check Page */

form[name="voucher_search"] {
    position: absolute;
    height: 30%;
    width: 80%;
    top: 5%;
    left: 20%;
}

.hidden-row {
    display: none;
}

.check-in {
    font-family: Roboto;
    width: 100%;
    height: 30%;
    margin-bottom: 5%;
    padding-left: 5%;
    border: none;
    border-bottom: 2px solid #A62E44;
    outline: none;
    font-size: 16px;
    color: #A62E44;
}

.check-in:focus {
    border-bottom: 2px solid #593A2E;
}

.check-btn {
    background-color: #593A2E;
    position: absolute;
    width: 40%;
    height: 40%;
    top: 40%;
    left: 0;
    border: none;
    border-radius: 30px;
    box-shadow: 0 2px 22px 0 rgba(0, 0, 0, .2), 0 2px 30px 0 rgba(0, 0, 0, .35);
    color: #ffffff;
    cursor: pointer;
    transition: background-color 0.3s;
    font-size: 25px;
}

.check-btn:hover {
    background-color: #FFFFFF;
    border: 1px solid #593A2E;
    color: #593A2E;
}

#info {
    background-color: rgba(242, 212, 194, 0.5);
    position: absolute;
    height: 45%;
    width: 80%;
    top: 35%;
    left: 20%;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    box-shadow: 0 2px 22px 0 rgba(0, 0, 0, .2), 0 2px 30px 0 rgba(0, 0, 0, .35);
}

.info-item {
    position: relative;
    width: 100%;
    height: 20%;
}

.info-item span {
    font-family: Roboto;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 5%;
    color: #593A2E;
}

.info-desc {
    font-family: Roboto;
    font-weight: bold;
}

/** Unconfirmed Page */

#info-box {
    background-color: #d4edda;
    border: 1px solid #c3e6cb;
    border-radius: 20px;
    position: absolute;
    height: 30%;
    width: 60%;
    top: 10%;
    left: 20%;
    padding: 2%;
    box-shadow: 0 2px 22px 0 rgba(0, 0, 0, .2), 0 2px 30px 0 rgba(0, 0, 0, .35);
}

#info-box span {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 20%;
    font-size: 20px;
    color: #155724;
}

#approve-btn {
    background-color: #593A2E;
    position: absolute;
    width: 60%;
    height: 20%;
    top: 50%;
    left: 20%;
    border: none;
    border-radius: 30px;
    box-shadow: 0 2px 22px 0 rgba(0, 0, 0, .2), 0 2px 30px 0 rgba(0, 0, 0, .35);
    color: #ffffff;
    cursor: pointer;
    transition: background-color 0.3s;
    font-size: 25px;
}

#approve-btn span {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 35%;
}

#approve-btn:hover {
    background-color: #FFFFFF;
    border: 1px solid #593A2E;
    color: #593A2E;
}

/** Confirmed Page */

#alert-box {
    background-color: #f8d7da;
    border: 1px solid #f5c6cb;
    border-radius: 20px;
    position: absolute;
    height: 30%;
    width: 60%;
    top: 10%;
    left: 20%;
    padding: 2%;
    box-shadow: 0 2px 22px 0 rgba(0, 0, 0, .2), 0 2px 30px 0 rgba(0, 0, 0, .35);
}

#alert-box span {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 10%;
    font-size: 20px;
    color: #721c24;
}

/** Success Page */

#success-box {
    background-color: #d1ecf1;
    border: 1px solid #bee5eb;
    border-radius: 20px;
    position: absolute;
    height: 30%;
    width: 60%;
    top: 10%;
    left: 20%;
    padding: 2%;
    box-shadow: 0 2px 22px 0 rgba(0, 0, 0, .2), 0 2px 30px 0 rgba(0, 0, 0, .35);
}

#success-box span {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 10%;
    font-size: 20px;
    color: #0c5460;
}
